Disney Chat

End Chat

STAR WARS™ Scene Maker

  • iOS

About STAR WARS™: Scene Maker

posted on 2014/06/29

Become the master of your own Star Wars video universe with STAR WARS™: Scene Maker! Create your own scenes, choose your favorite characters, control their actions and dialogue, record your masterpiece, and share your Star Wars story! The Force of your imagination is with you!
Original Release Date: June 19, 2014

Current Update Version: 1.8

Will this game run on my device?
Click on your device's platform for app requirements:

DISCLAIMER: It is Disney Mobile Support policy to not assist in troubleshooting our apps on device hardware which has been modified or altered ("Rooted", "Jailbroken", etc.) from OEM specifications or software that has been modified, flashed or customized beyond regulated software releases by the developer. While some of our products may run on altered hardware and software, due to the wide variations of alterations that can be made and the potential risks of such alterations, we are only able to provide technical support for officially sanctioned versions of device hardware and software.

Game Features
  • Create your own Star Wars universe and bring it to life with imaginative play and countless options.
  • Select from 3D environments with 3D models of your favorite characters, weapons, and ships.
  • Use dialogue straight from the Star Wars films, or record your voice and apply a Darth Vader, Rebel Pilot, or Storm Trooper filter to put your words into any character’s mouth!
  • Switch between three cameras, each of which can track or follow the action, to record your scene from multiple angles!
  • Choose a musical score taken from the Star Wars films, write your own iconic Star Wars “Title Crawl” and end credits, and share your finished scene with your friends!
Helpful Links
  • Click here for a link to the App Store

Requirements for iOS
If your iOS meets these requirements, you should be able to play the game without issue: 

  • iPhone 4 and later, iPod touch 5G, iPad 3 and later (including iPad mini) 
  • iOS 7.0 or later

Was this article helpful?

Still looking for the right answer?

Contact Us

We recommend contacting us by


Other ways to contact


Call Me Now


Free Phone